{% extends 'base.html.twig' %}

{% block title %}Carte de voyage{% endblock %}
{% block stylesheets %} {{parent() }} {% endblock %}
{% block body %}
<div class="container text-center">
    <div id="container" style="height: 500px; min-width: 310px; max-width: 800px; margin: 0 auto"></div>
</div>
{% endblock %}
{% block javascripts %}
    {{ parent() }}
    
    <script src="https://code.highcharts.com/maps/highmaps.js"></script>
    <script src="https://code.highcharts.com/maps/modules/data.js"></script>
    <script src="https://code.highcharts.com/maps/modules/data.js"></script>
    <script src="https://code.highcharts.com/maps/modules/exporting.js"></script>
    <script src="https://code.highcharts.com/maps/modules/offline-exporting.js"></script>
    <script src="https://code.highcharts.com/mapdata/custom/world.js"></script>
    <script type="text/javascript">

    $(document).ready ( function(){

       let travels = [
            {
                "code3": "JPN",
                "z": 1,
                "code": "JP"
            },
            {
                "code3": "DEU",
                "z": 2,
                "code": "DE"
            },
            {
                "code3": "GBR",
                "z": 4,
                "code": "GB"
            },
            {
                "code3": "PRT",
                "z": 15,
                "code": "PT"
            },
            {
                "code3": "ESP",
                "z": 2,
                "code": "ES"
            }
        ];

       Highcharts.mapChart('container', {
        chart: {
          borderWidth: 1,
          map: 'custom/world',
          /*events: {
            load(){
              console.log(this.series[0].mapData)
              this.series[0].mapData.forEach(data => {
                console.log(data)
              })
            }
          }*/
        },

        title: {
          text: 'test' //Les pays où j\'ai voyag\é
        },
        
        legend: {
          enabled: false
        },

        mapNavigation: {
          enabled: true,
          buttonOptions: {
            verticalAlign: 'bottom'
          }
        },

        series: [{
          name: 'Countries',
          color: '#E0E0E0',
          enableMouseTracking: false
        }, {
          type: 'mapbubble',
          name: 'Nombre de visites',
          joinBy: ['iso-a3', 'code3'],
          data: travels,
          minSize: 8,
          maxSize: '12%',
          tooltip: {
            pointFormat: '{point.properties.hc-a2}: {point.z} fois'
          }
        }]
      });
    });

    </script>
{% endblock %}